function handles=x_callback(handles)
    handles.x1.value=round(handles.x.value);
    
endfunction


function handles=y_callback(handles)
    handles.y1.value=round(handles.y.value);
    
endfunction


function handles=z_callback(handles)
    handles.z1.value=round(handles.z.value);
   
endfunction
function handles=x1_callback(handles)
    handles.x.value=handles.x1.value;
    disegna(handles,1);
endfunction


function handles=y1_callback(handles)
    handles.y.value=handles.y1.value;
    disegna(handles,2);
endfunction


function handles=z1_callback(handles)
    handles.z.value=handles.z1.value;
    disegna(handles,3);
endfunction

function ax_callback(handles,I)
    handles.indicator.value=1;

endfunction

function cor_callback(handles,I)
    handles.indicator.value=2;

endfunction

function sag_callback(handles,I)
    handles.indicator.value=3;

endfunction

function plot_callback(handles)
    disegna(handles,1);
    disegna(handles,2);
    disegna(handles,3);
endfunction

function disegna(handles,indicator)
    M=handles.M.value;
    m=handles.m.value;
    x=get(handles.x1,'value'); x=round(x);
    y=get(handles.y1,'value'); y=round(y);
    z=get(handles.z1,'value'); z=round(z);
    br=handles.bright.value;


a=squeeze(I(:,:,x)); a=double(a);  a=(a-m)/(M-m);
     b=squeeze(I(:,y,:)); b=double(b);  b=(b-m)/(M-m);
        c=squeeze(I(z,:,:)); c=double(c);  c=(c-m)/(M-m);

    drawlater();
    if indicator==1 then
        if ~isempty(handles.axial.children) then
            delete(handles.axial.children);
        end
        sca(handles.axial);
        colormap('gray')
        imagesc(rot90(a),[0,1/br]);
        //plot(y,z)
        axis tight
    elseif indicator==2 then
        if ~isempty(handles.coronal.children) then
            delete(handles.coronal.children);
        end
        sca(handles.coronal);
        colormap('gray')
        imagesc(rot90(b),[0,1/br]);
        axis tight

elseif indicator==3 then
        if ~isempty(handles.sagittal.children) then
            delete(handles.sagittal.children);
        end
        sca(handles.sagittal);
        colormap('gray')
        imagesc(rot90(c),[0,1/br]);
        axis tight
    end
    drawnow();
endfunction    
